#!/usr/bin/env -S node --import=tsx

import { getWikipediaPageInternalLinks } from "@repo/wikipedia-game-solver/wikipedia-api"

const localeWikipedia = "en"

const fromPageInput = "Linux"
const toPageInput = "Node.js"
console.log({
  fromPageInput,
  toPageInput,
})
const [fromPageWikipediaLinks, toPageWikipediaLinks] = await Promise.all([
  getWikipediaPageInternalLinks({
    title: fromPageInput,
    locale: localeWikipedia,
  }),
  getWikipediaPageInternalLinks({
    title: toPageInput,
    locale: localeWikipedia,
  }),
])
console.log({
  fromPageWikipediaLinks,
  toPageWikipediaLinks,
})
